Page MenuHomePhabricator

Warning dialog ("We recommend that you properly fill in all the fields.") is displayed even if there are no warnings in the form
Closed, ResolvedPublic

Description

Warning dialog ("We recommend that you properly fill in all the fields.") is displayed even if there are no warnings in the form.

The publishing starts and completes "in the background". It doesn't seem to matter what you click.

Details

Related Gerrit Patches:
mediawiki/extensions/UploadWizard : wmf/1.28.0-wmf.21Don't show warning confirmation dialog when there are no warnings
mediawiki/extensions/UploadWizard : masterDon't show warning confirmation dialog when there are no warnings

Event Timeline

matmarex created this task.Oct 7 2016, 6:09 PM
Restricted Application added a project: Multimedia. · View Herald TranscriptOct 7 2016, 6:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
matmarex triaged this task as High priority.

This is probably a regression from f5349bb9ec9a294636a4820fa69f1b544ef8ae0e, and live on the wikis already (I just got it when uploading https://test.wikipedia.org/wiki/File:Test_2016-10-07.png). Whoops…

Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 7 2016, 6:14 PM

Change 315072 had a related patch set uploaded (by Matthias Mullie):
Don't show warning confirmation dialog when there are no warnings

https://gerrit.wikimedia.org/r/315072

Change 315096 had a related patch set uploaded (by Bartosz Dziewoński):
Don't show warning confirmation dialog when there are no warnings

https://gerrit.wikimedia.org/r/315096

Change 315096 merged by jenkins-bot:
Don't show warning confirmation dialog when there are no warnings

https://gerrit.wikimedia.org/r/315096

Change 315072 merged by jenkins-bot:
Don't show warning confirmation dialog when there are no warnings

https://gerrit.wikimedia.org/r/315072

Mentioned in SAL (#wikimedia-operations) [2016-10-10T18:29:26Z] <dereckson@tin> Synchronized php-1.28.0-wmf.21/extensions/UploadWizard/resources/controller/uw.controller.Details.js: Don't show warning confirmation dialog when there are no warnings (T147659) (duration: 00m 48s)

matmarex closed this task as Resolved.Oct 10 2016, 6:51 PM
matmarex removed a project: Patch-For-Review.

Fixed and deployed.